<form [formGroup]="formData">
  <div class="card">
    <div class="card-header py-1">
      <div class="row mt-3">
        <div class="col-auto middle">{{ i + 1 }}.</div>
        <div class="col-md-8 col-xxl-8">
          <mat-form-field appearance="outline">
            <mat-select formControlName="budgetType" (selectionChange)="changeBudgetType($event)">
              <mat-option [value]="type.code" *ngFor="let type of budgetTypeList">
                {{ type.name }}
              </mat-option>
            </mat-select>
          </mat-form-field>
        </div>
        <div class="col-md-3 col-xxl-3 middle">
          <button mat-button class="float-right" (click)="onDeleteBudget(i)">
            <mat-icon color="primary" aria-hidden="false">delete</mat-icon>
          </button>
        </div>
      </div>
    </div>
    <div *ngIf="formData.value.budgetType === '11'" class="card-body row py-3">
      <div class="row">
        <div class="col-md-12 col-lg-12 col-xl-12 col-xxl-6">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">ใช้งบประมาณประจำปี</label>
            </div>
            <div class="col-md col-lg col-xl">
              <mat-form-field appearance="outline" floatLabel="always" appDateFormatYYYY>
                <input matInput [matDatepicker]="matPickerYYYY" id="year" [formControl]="date" formControlName="budgetYear" readonly />
                <mat-datepicker-toggle matSuffix [for]="matPickerYYYY"></mat-datepicker-toggle>
                <mat-datepicker #matPickerYYYY startView="multi-year" (yearSelected)="chooseYearHandler($event, matPickerYYYY)" panelClass="example-month-picker"> </mat-datepicker>
              </mat-form-field>
            </div>
          </div>
        </div>
        <div class="col-md-12 col-lg-12 col-xl-12 col-xxl-6">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">โดยจัดสรรให้แก่</label>
            </div>
            <div class="col-md col-lg col-xl">
              <mat-form-field appearance="outline" floatLabel="always">
                <input type="hidden" placeholder="" formControlName="budgetDesc1" />
                <input matInput placeholder="หน่วยงาน" id="costCenterName" formControlName="costCenterName" readonly (click)="onFindCostCenter()" (keypress)="onFindCostCenter()" />
                <input type="hidden" id="costCenterCode" formControlName="costCenterCode" />
                <button color="primary" mat-button mat-icon-button matSuffix (click)="onFindCostCenter()">
                  <mat-icon>filter_alt</mat-icon>
                </button>
              </mat-form-field>
            </div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-md-12 col-lg-12 col-xl-6 col-xxl-6">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">รายการ</label>
            </div>
            <div class="col">
              <mat-form-field appearance="outline">
                <input matInput type="text" placeholder="" formControlName="budgetDesc2" />
              </mat-form-field>
            </div>
          </div>
        </div>
        <div class="col-md-12 col-lg-12 col-xl-6 col-xxl-6">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">เป็นจำนวนเงิน</label>
            </div>
            <div class="col p-0" style="margin-left: 10px">
              <mat-form-field appearance="outline">
                <input matInput type="text" appMatInputCommified class="right-align" placeholder="" formControlName="budgetAmount" />
                <span matSuffix class="span-suffix">บาท</span>
              </mat-form-field>
            </div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-auto">
          <label for="" class="middle col-sm-auto col-form-label">ซึ่งมียอดคงเหลือ (ถ้ามี)</label>
        </div>
        <div class="col-auto">
          <mat-form-field appearance="outline">
            <input matInput type="text" appMatInputCommified class="right-align" placeholder="" formControlName="budgetRemain" />
            <span matSuffix class="span-suffix">บาท</span>
          </mat-form-field>
        </div>
      </div>
    </div>

    <div *ngIf="formData.value.budgetType === '12'" class="card-body row py-3">
      <div class="row">
        <div class="col-md-12 col-lg-12 col-xl-12 col-xxl-6">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">ใช้งบผูกพันตั้งแต่ปี</label>
            </div>
            <div class="col-md col-lg col-xl">
              <mat-form-field appearance="outline" floatLabel="always" appDateFormatYYYY>
                <input matInput [matDatepicker]="matPickerYYYY" id="year" [formControl]="date" formControlName="budgetYear" readonly />
                <mat-datepicker-toggle matSuffix [for]="matPickerYYYY"></mat-datepicker-toggle>
                <mat-datepicker #matPickerYYYY startView="multi-year" (yearSelected)="chooseYearHandler($event, matPickerYYYY)" panelClass="example-month-picker"> </mat-datepicker>
              </mat-form-field>
            </div>
          </div>
        </div>
        <div class="col-md-12 col-lg-12 col-xl-12 col-xxl-6">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">เป็นต้นไป โดยจัดสรรให้แก่</label>
            </div>
            <div class="col-md col-lg col-xl">
              <mat-form-field appearance="outline">
                <input matInput placeholder="" formControlName="budgetDesc1" />
              </mat-form-field>
            </div>
          </div>
        </div>
        <!-- <div class="col">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">เป็นต้นไป โดยจัดสรรให้แก่</label>
            </div>
            <div class="col-md">
              <mat-form-field appearance="outline">
                <input matInput placeholder="" formControlName="budgetDesc1" />
              </mat-form-field>
            </div>
          </div>
        </div> -->
      </div>
      <div class="row">
        <div class="col-md-12 col-lg-12 col-xl-12 col-xxl-6">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">รายการ</label>
            </div>
            <div class="col-md col-lg col-xl">
              <mat-form-field appearance="outline">
                <input matInput type="text" formControlName="budgetDesc2" placeholder="" />
              </mat-form-field>
            </div>
          </div>
        </div>
        <div class="col-md-12 col-lg-12 col-xl-12 col-xxl-6">
          <div class="row">
            <div class="col-auto" style="margin-left: 12px">
              <label for="" class="middle col-sm-auto col-form-label">เป็นจำนวนเงิน</label>
            </div>
            <div class="col-md col-lg col-xl p-0">
              <mat-form-field appearance="outline">
                <input matInput type="text" appMatInputCommified class="right-align" formControlName="budgetAmount" placeholder="" />
                <span matSuffix class="span-suffix">บาท</span>
              </mat-form-field>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div *ngIf="formData.value.budgetType === '13'" class="card-body row py-3">
      <div class="row">
        <div class="col-md-12 col-lg-12 col-xl-12 col-xxl-6">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">ใช้งบประมาณ IMC Plan ประจำปี</label>
            </div>
            <div class="col-md col-lg col-xl">
              <mat-form-field appearance="outline" floatLabel="always" appDateFormatYYYY>
                <input matInput [matDatepicker]="matPickerYYYY" id="year" [formControl]="date" formControlName="budgetYear" readonly />
                <mat-datepicker-toggle matSuffix [for]="matPickerYYYY"></mat-datepicker-toggle>
                <mat-datepicker #matPickerYYYY startView="multi-year" (yearSelected)="chooseYearHandler($event, matPickerYYYY)" panelClass="example-month-picker"> </mat-datepicker>
              </mat-form-field>
            </div>
          </div>
        </div>
        <div class="col-md-12 col-lg-12 col-xl-12 col-xxl-6">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">โดยจัดสรรให้แก่</label>
            </div>
            <div class="col-md col-lg col-xl">
              <mat-form-field appearance="outline">
                <input matInput placeholder="" formControlName="budgetDesc1" />
              </mat-form-field>
            </div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-md-12 col-lg-12 col-xl-12 col-xxl-6">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">รายการ</label>
            </div>
            <div class="col-md col-lg col-xl">
              <mat-form-field appearance="outline">
                <input matInput type="text" formControlName="budgetDesc2" placeholder="" />
              </mat-form-field>
            </div>
          </div>
        </div>
        <div class="col-md-12 col-lg-12 col-xl-12 col-xxl-6">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">เป็นจำนวนเงิน</label>
            </div>
            <div class="col-md col-lg col-xl p-0" style="margin-left: 10px">
              <mat-form-field appearance="outline">
                <input matInput type="text" appMatInputCommified class="right-align" formControlName="budgetAmount" placeholder="" />
                <span matSuffix class="span-suffix">บาท</span>
              </mat-form-field>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div *ngIf="formData.value.budgetType === '14'" class="card-body row py-3">
      <div class="row">
        <div class="col-md-12 col-lg-12 col-xl-12 col-xxl-6">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">ใช้งบประมาณประจำปี</label>
            </div>
            <div class="col-2">
              <mat-form-field appearance="outline" floatLabel="always" appDateFormatYYYY>
                <input matInput [matDatepicker]="matPickerYYYY" id="year" [formControl]="date" formControlName="budgetYear" readonly />
                <mat-datepicker-toggle matSuffix [for]="matPickerYYYY"></mat-datepicker-toggle>
                <mat-datepicker #matPickerYYYY startView="multi-year" (yearSelected)="chooseYearHandler($event, matPickerYYYY)" panelClass="example-month-picker"> </mat-datepicker>
              </mat-form-field>
            </div>

            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">ซึ่งอยู่ระหว่างการเสนอของบประมาณให้แก่</label>
            </div>
            <div class="col">
              <mat-form-field appearance="outline">
                <input matInput placeholder="" formControlName="budgetDesc1" />
              </mat-form-field>
            </div>
          </div>
        </div>
        <!-- <div class="col-auto">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">ซึ่งอยู่ระหว่างการเสนอของบประมาณให้แก่</label>
            </div>
            <div class="col-auto">
              <mat-form-field appearance="outline">
                <input matInput placeholder="" formControlName="budgetDesc1"/>
              </mat-form-field>
            </div>
          </div>
        </div> -->
      </div>
      <div class="row">
        <div class="col-md-12 col-lg-12 col-xl-6 col-xxl-6">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">รายการ</label>
            </div>
            <div class="col-mg col-lg col-xl">
              <mat-form-field appearance="outline">
                <input matInput type="text" formControlName="budgetDesc2" placeholder="" />
              </mat-form-field>
            </div>
          </div>
        </div>
        <div class="col-md-12 col-lg-12 col-xl-6 col-xxl-6">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">เป็นจำนวนเงิน</label>
            </div>
            <div class="col-mg col-lg col-xl p-0">
              <mat-form-field appearance="outline">
                <input matInput type="text" appMatInputCommified class="right-align" placeholder="" formControlName="budgetAmount" />
                <span matSuffix class="span-suffix">บาท</span>
              </mat-form-field>
            </div>
          </div>
        </div>
      </div>
      <div class="col-auto">
        <label for="" class="middle col-sm-auto col-form-label"
          >ซึ่งเป็นไปตามระเบียบปฏิบัติงาน หมวด Procurement หมวดย่อย ระเบียบหลัก เรื่อง บททั่วไปการจัดหาพัสดุและการบริหารพัสดุที่เกี่ยวกับการพาณิชย์โดยตรง ส่วนที่ 2 นโยบาย ข้อ 6 ในการทำสัญญาเช่าหรือสัญญาจ้าง
          ที่จำเป็นต้องเช่าหรือจ้างต่อเนื่องในปีงบประมาณใหม่ ภายหลังจากสัญญาเดิมสิ้นสุดลงกับผู้ให้เช่าหรือผู้รับจ้างรายเดิมหรือรายใหม่แล้วแต่กรณี ซึ่งได้ดำเนินการจัดหาพัสดุจนกระทั่งได้รับอนุมัติไว้แล้วแต่ไม่สามารถลงนามสัญญาได้ทัน
          อันเนื่องมาจากยังไม่ได้รับอนุมัติงบประมาณประจำปีนั้น โดยให้สัญญาเช่าหรือสัญญาจ้างมีผลย้อนหลังไปตั้งแต่วันเริ่มต้นปีงบประมาณ หรือวันที่มีการเช่าหรือการจ้างจริง
        </label>
      </div>
    </div>

    <div *ngIf="formData.value.budgetType === '15'" class="card-body row py-3">
      <div class="row">
        <div class="col-md-12 col-lg-12 col-xl-6 col-xxl-6">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">ใช้งบประมาณประจำปี</label>
            </div>
            <div class="col-2">
              <mat-form-field appearance="outline" floatLabel="always" appDateFormatYYYY>
                <input matInput [matDatepicker]="matPickerYYYY" id="year" [formControl]="date" formControlName="budgetYear" readonly />
                <mat-datepicker-toggle matSuffix [for]="matPickerYYYY"></mat-datepicker-toggle>
                <mat-datepicker #matPickerYYYY startView="multi-year" (yearSelected)="chooseYearHandler($event, matPickerYYYY)" panelClass="example-month-picker"> </mat-datepicker>
              </mat-form-field>
            </div>
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">ซึ่งอยู่ระหว่างการเสนอของบประมาณให้แก่</label>
            </div>
            <div class="col">
              <mat-form-field appearance="outline">
                <input matInput placeholder="" formControlName="budgetDesc1" />
              </mat-form-field>
            </div>
          </div>
        </div>
        <!-- <div class="col">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">ซึ่งอยู่ระหว่างการเสนอของบประมาณให้แก่</label>
            </div>
            <div class="col">
              <mat-form-field appearance="outline">
                <input matInput placeholder="" formControlName="budgetDesc1" />
              </mat-form-field>
            </div>
          </div>
        </div> -->
      </div>
      <div class="row">
        <div class="col-md-12 col-lg-12 col-xl-6 col-xxl-6">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">รายการ</label>
            </div>
            <div class="col">
              <mat-form-field appearance="outline">
                <input matInput type="text" placeholder="" formControlName="budgetDesc2" />
              </mat-form-field>
            </div>
          </div>
        </div>
        <div class="col-md-12 col-lg-12 col-xl-6 col-xxl-6">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">เป็นจำนวนเงิน</label>
            </div>
            <div class="col p-0">
              <mat-form-field appearance="outline">
                <input matInput type="text" appMatInputCommified class="right-align" formControlName="budgetAmount" placeholder="" />
                <span matSuffix class="span-suffix">บาท</span>
              </mat-form-field>
            </div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-auto">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">ซึ่งเป็นไปตามคู่มือการจัดหาพัสดุและการบริหารพัสดุที่เกี่ยวกับการพาณิชย์โดยตรง บทที่ 5 การจัดหาพัสดุหลัก</label>
            </div>
          </div>
        </div>
        <div class="col-auto">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">ส่วนที่</label>
            </div>
            <div class="col-auto">
              <mat-form-field appearance="outline">
                <input matInput formControlName="budgetDesc4" placeholder="" />
              </mat-form-field>
            </div>
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">ลำดับที่ 1 ข้อ 1.1.2 กรณีไม่มีงบประมาณให้ดำเนินขออนุมัติงบประมาณรองรับและให้สามารถดำเนินการได้ถึงขั้นตอน</label>
            </div>
            <div class="col-auto">
              <mat-form-field appearance="outline">
                <input matInput type="text" formControlName="budgetDesc3" placeholder="" />
              </mat-form-field>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div *ngIf="formData.value.budgetType === '16'" class="card-body row py-3">
      <div class="row">
        <div class="col-auto">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">เบิกจ่ายจากบัญชี Fee - Paid ซึ่งสายงาน</label>
            </div>
            <div class="col-auto">
              <mat-form-field appearance="outline" [ngStyle]="{ 'width.ch': inputText.value.length, 'min-width.ch': 30 }">
                <input #inputText matInput placeholder="" formControlName="budgetDesc1" />
              </mat-form-field>
            </div>
          </div>
        </div>
        <div class="col-auto">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">ได้ตั้งกรอบวงเงินงบประมาณเป็นจำนวนเงิน</label>
            </div>
            <div class="col-auto p-0">
              <mat-form-field appearance="outline">
                <input matInput type="text" appMatInputCommified class="right-align" formControlName="budgetAmount" placeholder="" />
                <span matSuffix class="span-suffix">บาท</span>
              </mat-form-field>
            </div>
          </div>
        </div>
      </div>
      <div class="col-auto">
        <label for="" class="middle col-sm-auto col-form-label"
          >ซึ่งเป็นไปตามระเบียบปฏิบัติงาน หมวด Procurement หมวดย่อย ระเบียบหลัก เรื่อง บททั่วไปการจัดหาพัสดุและการบริหารพัสดุที่เกี่ยวกับการพาณิชย์โดยตรง ส่วนที่ 1 คำนิยาม “งบประมาณ” หมายความถึง เงินงบประมาณรายจ่ายประจำปี
          เงินงบประมาณรายจ่ายเพิ่มเติมที่ใช้ในการจัดหาพัสดุ และให้รวมถึงวงเงินว่าจ้างในการใช้บริการจากผู้ให้บริการภายนอก (Outsourcing) ที่เบิกจ่ายจากบัญชี Fee - Paid หรือบัญชีอื่นที่ไม่ใช่รายการตามระเบียบงบประมาณ
        </label>
      </div>
    </div>

    <div *ngIf="formData.value.budgetType === '17'" class="card-body row py-3">
      <div class="row">
        <div class="col-auto">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">ใช้งบประมาณประจำปี</label>
            </div>
            <div class="col-auto">
              <div class="row">
                <mat-form-field appearance="outline" floatLabel="always" appDateFormatYYYY>
                  <input matInput [matDatepicker]="matPickerYYYY" id="year" [formControl]="date" formControlName="budgetYear" readonly />
                  <mat-datepicker-toggle matSuffix [for]="matPickerYYYY"></mat-datepicker-toggle>
                  <mat-datepicker #matPickerYYYY startView="multi-year" (yearSelected)="chooseYearHandler($event, matPickerYYYY)" panelClass="example-month-picker"> </mat-datepicker>
                </mat-form-field>
              </div>
            </div>
          </div>
        </div>
        <div class="col-12">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">ของฝ่ายอาคารและจัดการทรัพย์สิน สำหรับเป็นค่าปรับปรุงก่อสร้างสาขา</label>
            </div>
            <div class="col">
              <mat-form-field appearance="outline">
                <input matInput placeholder="" formControlName="budgetDesc1" />
              </mat-form-field>
            </div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-md-12 col-lg-12 col-xl-6 col-xxl-6">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">รายการ</label>
            </div>
            <div class="col">
              <mat-form-field appearance="outline">
                <input matInput type="text" placeholder="" formControlName="budgetDesc2" />
              </mat-form-field>
            </div>
          </div>
        </div>
        <div class="col-md-12 col-lg-12 col-xl-6 col-xxl-6">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">เป็นจำนวนเงิน</label>
            </div>
            <div class="col p-0">
              <mat-form-field appearance="outline">
                <input matInput type="text" appMatInputCommified class="right-align" formControlName="budgetAmount" placeholder="" />
                <span matSuffix class="span-suffix">บาท</span>
              </mat-form-field>
            </div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-auto">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">ซึ่งได้กันงบประมาณในระบบไว้เรียบร้อยแล้ว</label>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div *ngIf="formData.value.budgetType === '18'" class="card-body row py-3">
      <div class="row">
        <div class="col-auto">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">ใช้งบประมาณประจำปี</label>
            </div>
            <div class="col-auto">
              <mat-form-field appearance="outline" floatLabel="always" appDateFormatYYYY>
                <input matInput [matDatepicker]="matPickerYYYY" id="year" [formControl]="date" formControlName="budgetYear" readonly />
                <mat-datepicker-toggle matSuffix [for]="matPickerYYYY"></mat-datepicker-toggle>
                <mat-datepicker #matPickerYYYY startView="multi-year" (yearSelected)="chooseYearHandler($event, matPickerYYYY)" panelClass="example-month-picker"> </mat-datepicker>
              </mat-form-field>
            </div>
          </div>
        </div>
        <div class="col-12">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">ของฝ่ายอาคารและจัดการทรัพย์สิน สำหรับเป็นค่าปรับปรุงก่อสร้างสาขา</label>
            </div>
            <div class="col">
              <mat-form-field appearance="outline">
                <input matInput placeholder="" formControlName="budgetDesc1" />
              </mat-form-field>
            </div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-md-12 col-lg-12 col-xl-6 col-xxl-6">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">รายการ</label>
            </div>
            <div class="col">
              <mat-form-field appearance="outline">
                <input matInput type="text" formControlName="budgetDesc2" placeholder="" />
              </mat-form-field>
            </div>
          </div>
        </div>
        <div class="col-md-12 col-lg-12 col-xl-6 col-xxl-6">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">เป็นจำนวนเงิน</label>
            </div>
            <div class="col p-0">
              <mat-form-field appearance="outline">
                <input matInput type="text" appMatInputCommified class="right-align" formControlName="budgetAmount" placeholder="" />
                <span matSuffix class="span-suffix">บาท</span>
              </mat-form-field>
            </div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">ซึ่งเป็นงบผูกพัน ปี</label>
            </div>
            <div class="col-2">
              <div class="col">
                <mat-form-field appearance="outline" floatLabel="always" appDateFormatYYYY>
                  <input matInput [matDatepicker]="matPickerYYYY2" id="year" [formControl]="date2" formControlName="forwardBudgetYear" readonly />
                  <mat-datepicker-toggle matSuffix [for]="matPickerYYYY2"></mat-datepicker-toggle>
                  <mat-datepicker #matPickerYYYY2 startView="multi-year" (yearSelected)="chooseForwardBudgetYearHandler($event, matPickerYYYY2)" panelClass="example-month-picker"></mat-datepicker>
                </mat-form-field>
              </div>
            </div>

            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">และได้กันงบประมาณในระบบไว้เรียบร้อยแล้ว เมื่อวันที่</label>
            </div>
            <div class="col-2" style="width: 200px">
              <div class="col">
                <mat-form-field appearance="outline">
                  <input matInput [matDatepicker]="picker" formControlName="forwardBudgetDate" />
                  <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                  <mat-datepicker #picker></mat-datepicker>
                </mat-form-field>
              </div>
            </div>
          </div>
        </div>
        <!-- <div class="col">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">และได้กันงบประมาณในระบบไว้เรียบร้อยแล้ว
                เมื่อวันที่</label>
            </div>
            <div class="col">
              <div class="col-auto">
                <mat-form-field appearance="outline">
                  <input matInput [matDatepicker]="picker" formControlName="forwardBudgetDate" />
                  <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                  <mat-datepicker #picker></mat-datepicker>
                </mat-form-field>
              </div>
            </div>
          </div>
        </div> -->
      </div>
    </div>

    <div *ngIf="formData.value.budgetType === '19'" class="card-body row py-3">
      <div class="row">
        <div class="col-auto">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">ใช้งบประมาณประจำปี</label>
            </div>
            <div class="col-auto">
              <mat-form-field appearance="outline" floatLabel="always" appDateFormatYYYY>
                <input matInput [matDatepicker]="matPickerYYYY" id="year" [formControl]="date" formControlName="budgetYear" readonly />
                <mat-datepicker-toggle matSuffix [for]="matPickerYYYY"></mat-datepicker-toggle>
                <mat-datepicker #matPickerYYYY startView="multi-year" (yearSelected)="chooseYearHandler($event, matPickerYYYY)" panelClass="example-month-picker"> </mat-datepicker>
              </mat-form-field>
            </div>
          </div>
        </div>
        <div class="col">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">ของ</label>
            </div>
            <div class="col">
              <mat-form-field appearance="outline">
                <input matInput placeholder="" formControlName="budgetDesc1" />
              </mat-form-field>
            </div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-md-12 col-lg-12 col-xl-6 col-xxl-6">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">รายการ</label>
            </div>
            <div class="col">
              <mat-form-field appearance="outline">
                <input matInput type="text" formControlName="budgetDesc2" placeholder="" />
              </mat-form-field>
            </div>
          </div>
        </div>
        <div class="col-md-12 col-lg-12 col-xl-6 col-xxl-6">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">เป็นจำนวนเงิน</label>
            </div>
            <div class="col p-0">
              <mat-form-field appearance="outline">
                <input matInput type="text" appMatInputCommified class="right-align" placeholder="" formControlName="budgetAmount" />
                <span matSuffix class="span-suffix">บาท</span>
              </mat-form-field>
            </div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">โดยอยู่ระหว่างการจัดสรรงบประมาณประจำปี จึงขอใช้งบประมาณ 1 ใน 4 ของงบประมาณภาพรวมทั้งสายงานประจำปี</label>
            </div>
            <div class="col-2" style="width: 160px">
              <div class="col-auto">
                <mat-form-field appearance="outline" floatLabel="always" appDateFormatYYYY>
                  <input matInput [matDatepicker]="matPickerYYYY2" id="year" [formControl]="date2" formControlName="forwardBudgetYear" readonly />
                  <mat-datepicker-toggle matSuffix [for]="matPickerYYYY2"></mat-datepicker-toggle>
                  <mat-datepicker #matPickerYYYY2 startView="multi-year" (yearSelected)="chooseForwardBudgetYearHandler($event, matPickerYYYY2)" panelClass="example-month-picker"></mat-datepicker>
                </mat-form-field>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">ตามหนังสือที่</label>
            </div>
            <div class="col">
              <div class="col">
                <div class="col">
                  <mat-form-field appearance="outline">
                    <input matInput type="text" placeholder="" formControlName="forwardBudgetDoc" />
                  </mat-form-field>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="col">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">ลงวันที่</label>
            </div>
            <div class="col">
              <div class="col" style="margin-left: 32px">
                <mat-form-field appearance="outline">
                  <input matInput [matDatepicker]="picker1" formControlName="forwardBudgetDate" />
                  <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>
                  <mat-datepicker #picker1></mat-datepicker>
                </mat-form-field>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-auto">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">และจดหมายอิเล็กทรอนิกส์ เมื่อวันที่</label>
            </div>
            <div class="col">
              <div class="col-auto">
                <mat-form-field appearance="outline">
                  <input matInput [matDatepicker]="picker2" formControlName="forwardBudgetEmailDate" />
                  <mat-datepicker-toggle matSuffix [for]="picker2"></mat-datepicker-toggle>
                  <mat-datepicker #picker2></mat-datepicker>
                </mat-form-field>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div *ngIf="formData.value.budgetType === '20'" class="card-body row py-3">
      <div class="row">
        <div class="col">
          <div class="row">
            <div class="col-auto">
              <label for="" class="middle col-sm-auto col-form-label">โปรดระบุ</label>
            </div>
            <div class="col-md">
              <mat-form-field appearance="outline">
                <input matInput placeholder="" formControlName="budgetDesc1" />
              </mat-form-field>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</form>
<app-loader></app-loader>
